Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPImageDataWriter Class Reference

`#include <vtkXMLPImageDataWriter.h>`

Inheritance diagram for vtkXMLPImageDataWriter:

[legend]
Collaboration diagram for vtkXMLPImageDataWriter:

[legend]
List of all members.

## Detailed Description

Write PVTK XML ImageData files.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLPImageDataWriter writes the PVTK XML ImageData file format. One image data input can be written into a parallel file format with any number of pieces spread across files. The standard extension for this writer's file format is "pvti". This writer uses vtkXMLImageDataWriter to write the individual piece files.

See also:
  vtkXMLImageDataWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPImageDataWriter.h)`
  - .`cxx` (`/IO/vtkXMLPImageDataWriter.cxx)`

Definition at line 49 of file vtkXMLPImageDataWriter.h.

## Public Types
typedef vtkXMLPStructuredDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetDefaultFileExtension ()
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
## Static Public Methods
vtkXMLPImageDataWriter * | New ()
int | IsTypeOf (const char *type)
vtkXMLPImageDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPImageDataWriter ()
| ~vtkXMLPImageDataWriter ()
const char * | GetDataSetName ()
void | WritePrimaryElementAttributes ()
vtkXMLStructuredDataWriter * | CreateStructuredPieceWriter ()

## Member Typedef Documentation

typedef vtkXMLPStructuredDataWriter vtkXMLPImageDataWriter::Superclass

| Reimplemented from vtkXMLPStructuredDataWriter. Definition at line 53 of file vtkXMLPImageDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLPImageDataWriter::vtkXMLPImageDataWriter | ( |  | ) | `[protected]`

vtkXMLPImageDataWriter::~vtkXMLPImageDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXMLPImageDataWriter* vtkXMLPImageDataWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkXMLPImageDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPStructuredDataWriter.

int vtkXMLPImageDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataWriter.

virtual int vtkXMLPImageDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataWriter.

vtkXMLPImageDataWriter* vtkXMLPImageDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPStructuredDataWriter.

void vtkXMLPImageDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPStructuredDataWriter.

void vtkXMLPImageDataWriter::SetInput | ( | vtkImageData * | input | ) |

| Get/Set the writer's input.

vtkImageData* vtkXMLPImageDataWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

const char* vtkXMLPImageDataWriter::GetDefaultFileExtension | ( |  | ) | `[virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

const char* vtkXMLPImageDataWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

void vtkXMLPImageDataWriter::WritePrimaryElementAttributes | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPStructuredDataWriter.

vtkXMLStructuredDataWriter* vtkXMLPImageDataWriter::CreateStructuredPieceWriter | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkXMLPImageDataWriter.h